<%= form_tag uploads_teacher_subject_classworks_path(subject_id: @subject, group_id: @group),
             method: :post, remote: true do %>
  <table class="ui very basic compact selectable table form">
    <thead>
    <tr>
      <th>#</th>
      <th>Cédula</th>
      <th>Nombres y apellidos</th>
      <th>Archivo</th>
      <th>Fecha de carga</th>
      <th>Calificación</th>
      <th >Comentario</th>
    </tr>
    </thead>
    <tbody >
    <% if @uploads.present? %>
      <% @uploads.each_with_index do |content, idx| %>
        <tr>
          <td><%= idx + 1 %></td>
          <td><%= content.student.identification_number.upcase %></td>
          <td><%= content.student.full_name.titleize %></td>
          <td><%= link_to 'Descargar', rails_blob_path(content.file, disposition: 'attachment'), download: '' %></td>
          <td><%= l(content.created_at, format: '%d/%m/%Y %H:%M') %></td>
          <td><%= number_field_tag "[scores][#{content.id}][content_score]", content.score, in: 0...11, step: 0.01 %></td>
          <td><%= text_area_tag "[scores][#{content.id}][teacher_comment]", content.comments, rows: 1 %></td>
        </tr>
      <% end %>
    <% else %>
      <tr>
        <td colspan="7">Aun los alumnos no suben sus talleres.</td>
      </tr>
    <% end %>
    </tbody>
  </table>

  <div class="ui one column stackable grid">
    <div class="column">
      <%= submit_tag 'Guardar calificaciones', class: 'ui fluid green button' %>
    </div>
  </div>
<% end %>


